cmake_minimum_required(VERSION 3.0)
project(TemperatureControler)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(QT Core Gui Network WebSockets SerialPort Widgets)
set(CMAKE_CXX_STANDARD 14)
find_package(Qt5 REQUIRED ${QT})
include_directories("../src/json")
include_directories("../src/TimeWorker")
include_directories("../src/Temperature")
include_directories("../src/controler")
include_directories("../src/sunfunction")
set(CMAKE_MOC_VERBOSE TRUE)
add_executable(TemperatureControler
        tempmain.cpp
        ../src/TimeWorker/TimeWorker.cpp
        ../src/json/logout.cpp
        ../src/Temperature/TemperaTureWoker.cpp
        ../src/Temperature/TG_Manager.cpp
        ../src/Temperature/TemperatureRegulator.cpp
        ../src/sunfunction/sunupanddown.cpp

        )

qt5_use_modules(TemperatureControler ${QT})